
package com.ocrwebservice.client;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OCRWS_OutputFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OCRWS_OutputFormat">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="DOC"/>
 *     &lt;enumeration value="PDF"/>
 *     &lt;enumeration value="EXCEL"/>
 *     &lt;enumeration value="HTML"/>
 *     &lt;enumeration value="TXT"/>
 *     &lt;enumeration value="RTF"/>
 *     &lt;enumeration value="PDFIMGTEXT"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OCRWS_OutputFormat")
@XmlEnum
public enum OCRWSOutputFormat {

    DOC,
    PDF,
    EXCEL,
    HTML,
    TXT,
    RTF,
    PDFIMGTEXT;

    public String value() {
        return name();
    }

    public static OCRWSOutputFormat fromValue(String v) {
        return valueOf(v);
    }

}
