
package com.ocrwebservice.client;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OCRWSResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OCRWSResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ocrText" type="{http://stockservice.contoso.com/wse/samples/2005/10}ArrayOfArrayOfString" minOccurs="0"/>
 *         &lt;element name="fileName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fileData" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="errorMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ocrWSWords" type="{http://stockservice.contoso.com/wse/samples/2005/10}ArrayOfArrayOfOCRWSWord" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OCRWSResponse", propOrder = {
    "ocrText",
    "fileName",
    "fileData",
    "errorMessage",
    "ocrWSWords"
})
public class OCRWSResponse {

    protected ArrayOfArrayOfString ocrText;
    protected String fileName;
    protected byte[] fileData;
    protected String errorMessage;
    protected ArrayOfArrayOfOCRWSWord ocrWSWords;

    /**
     * Gets the value of the ocrText property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfArrayOfString }
     *     
     */
    public ArrayOfArrayOfString getOcrText() {
        return ocrText;
    }

    /**
     * Sets the value of the ocrText property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfArrayOfString }
     *     
     */
    public void setOcrText(ArrayOfArrayOfString value) {
        this.ocrText = value;
    }

    /**
     * Gets the value of the fileName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Sets the value of the fileName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFileName(String value) {
        this.fileName = value;
    }

    /**
     * Gets the value of the fileData property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getFileData() {
        return fileData;
    }

    /**
     * Sets the value of the fileData property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setFileData(byte[] value) {
        this.fileData = value;
    }

    /**
     * Gets the value of the errorMessage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getErrorMessage() {
        return errorMessage;
    }

    /**
     * Sets the value of the errorMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setErrorMessage(String value) {
        this.errorMessage = value;
    }

    /**
     * Gets the value of the ocrWSWords property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfArrayOfOCRWSWord }
     *     
     */
    public ArrayOfArrayOfOCRWSWord getOcrWSWords() {
        return ocrWSWords;
    }

    /**
     * Sets the value of the ocrWSWords property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfArrayOfOCRWSWord }
     *     
     */
    public void setOcrWSWords(ArrayOfArrayOfOCRWSWord value) {
        this.ocrWSWords = value;
    }

}
