
package com.ocrwebservice.client;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OCRWSSettings complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OCRWSSettings">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ocrLanguages" type="{http://stockservice.contoso.com/wse/samples/2005/10}OCRWS_Language" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="outputDocumentFormat" type="{http://stockservice.contoso.com/wse/samples/2005/10}OCRWS_OutputFormat"/>
 *         &lt;element name="convertToBW" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="getOCRText" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="createOutputDocument" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="multiPageDoc" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="pageNumbers" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ocrZones" type="{http://stockservice.contoso.com/wse/samples/2005/10}ArrayOfOCRWSZone" minOccurs="0"/>
 *         &lt;element name="ocrWords" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OCRWSSettings", propOrder = {
    "ocrLanguages",
    "outputDocumentFormat",
    "convertToBW",
    "getOCRText",
    "createOutputDocument",
    "multiPageDoc",
    "pageNumbers",
    "ocrZones",
    "ocrWords"
})
public class OCRWSSettings {

    @XmlSchemaType(name = "string")
    protected List<OCRWSLanguage> ocrLanguages;
    @XmlElement(required = true)
    @XmlSchemaType(name = "string")
    protected OCRWSOutputFormat outputDocumentFormat;
    protected boolean convertToBW;
    protected boolean getOCRText;
    protected boolean createOutputDocument;
    protected boolean multiPageDoc;
    protected String pageNumbers;
    protected ArrayOfOCRWSZone ocrZones;
    protected boolean ocrWords;

    /**
     * Gets the value of the ocrLanguages property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the ocrLanguages property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOcrLanguages().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OCRWSLanguage }
     * 
     * 
     */
    public List<OCRWSLanguage> getOcrLanguages() {
        if (ocrLanguages == null) {
            ocrLanguages = new ArrayList<OCRWSLanguage>();
        }
        return this.ocrLanguages;
    }

    /**
     * Gets the value of the outputDocumentFormat property.
     * 
     * @return
     *     possible object is
     *     {@link OCRWSOutputFormat }
     *     
     */
    public OCRWSOutputFormat getOutputDocumentFormat() {
        return outputDocumentFormat;
    }

    /**
     * Sets the value of the outputDocumentFormat property.
     * 
     * @param value
     *     allowed object is
     *     {@link OCRWSOutputFormat }
     *     
     */
    public void setOutputDocumentFormat(OCRWSOutputFormat value) {
        this.outputDocumentFormat = value;
    }

    /**
     * Gets the value of the convertToBW property.
     * 
     */
    public boolean isConvertToBW() {
        return convertToBW;
    }

    /**
     * Sets the value of the convertToBW property.
     * 
     */
    public void setConvertToBW(boolean value) {
        this.convertToBW = value;
    }

    /**
     * Gets the value of the getOCRText property.
     * 
     */
    public boolean isGetOCRText() {
        return getOCRText;
    }

    /**
     * Sets the value of the getOCRText property.
     * 
     */
    public void setGetOCRText(boolean value) {
        this.getOCRText = value;
    }

    /**
     * Gets the value of the createOutputDocument property.
     * 
     */
    public boolean isCreateOutputDocument() {
        return createOutputDocument;
    }

    /**
     * Sets the value of the createOutputDocument property.
     * 
     */
    public void setCreateOutputDocument(boolean value) {
        this.createOutputDocument = value;
    }

    /**
     * Gets the value of the multiPageDoc property.
     * 
     */
    public boolean isMultiPageDoc() {
        return multiPageDoc;
    }

    /**
     * Sets the value of the multiPageDoc property.
     * 
     */
    public void setMultiPageDoc(boolean value) {
        this.multiPageDoc = value;
    }

    /**
     * Gets the value of the pageNumbers property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPageNumbers() {
        return pageNumbers;
    }

    /**
     * Sets the value of the pageNumbers property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPageNumbers(String value) {
        this.pageNumbers = value;
    }

    /**
     * Gets the value of the ocrZones property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfOCRWSZone }
     *     
     */
    public ArrayOfOCRWSZone getOcrZones() {
        return ocrZones;
    }

    /**
     * Sets the value of the ocrZones property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfOCRWSZone }
     *     
     */
    public void setOcrZones(ArrayOfOCRWSZone value) {
        this.ocrZones = value;
    }

    /**
     * Gets the value of the ocrWords property.
     * 
     */
    public boolean isOcrWords() {
        return ocrWords;
    }

    /**
     * Sets the value of the ocrWords property.
     * 
     */
    public void setOcrWords(boolean value) {
        this.ocrWords = value;
    }

}
