
package com.ocrwebservice.client;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ocrwebservice.client package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ocrwebservice.client
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OCRWebServiceAvailablePages }
     * 
     */
    public OCRWebServiceAvailablePages createOCRWebServiceAvailablePages() {
        return new OCRWebServiceAvailablePages();
    }

    /**
     * Create an instance of {@link OCRWebServiceLogResponse }
     * 
     */
    public OCRWebServiceLogResponse createOCRWebServiceLogResponse() {
        return new OCRWebServiceLogResponse();
    }

    /**
     * Create an instance of {@link OCRWebServiceAvailablePagesResponse }
     * 
     */
    public OCRWebServiceAvailablePagesResponse createOCRWebServiceAvailablePagesResponse() {
        return new OCRWebServiceAvailablePagesResponse();
    }

    /**
     * Create an instance of {@link OCRWebServiceRecognizeResponse }
     * 
     */
    public OCRWebServiceRecognizeResponse createOCRWebServiceRecognizeResponse() {
        return new OCRWebServiceRecognizeResponse();
    }

    /**
     * Create an instance of {@link OCRWSResponse }
     * 
     */
    public OCRWSResponse createOCRWSResponse() {
        return new OCRWSResponse();
    }

    /**
     * Create an instance of {@link OCRWebServiceLog }
     * 
     */
    public OCRWebServiceLog createOCRWebServiceLog() {
        return new OCRWebServiceLog();
    }

    /**
     * Create an instance of {@link ArrayOfString }
     * 
     */
    public ArrayOfString createArrayOfString() {
        return new ArrayOfString();
    }

    /**
     * Create an instance of {@link OCRWebServiceRecognize }
     * 
     */
    public OCRWebServiceRecognize createOCRWebServiceRecognize() {
        return new OCRWebServiceRecognize();
    }

    /**
     * Create an instance of {@link OCRWSInputImage }
     * 
     */
    public OCRWSInputImage createOCRWSInputImage() {
        return new OCRWSInputImage();
    }

    /**
     * Create an instance of {@link OCRWSSettings }
     * 
     */
    public OCRWSSettings createOCRWSSettings() {
        return new OCRWSSettings();
    }

    /**
     * Create an instance of {@link ArrayOfOCRWSZone }
     * 
     */
    public ArrayOfOCRWSZone createArrayOfOCRWSZone() {
        return new ArrayOfOCRWSZone();
    }

    /**
     * Create an instance of {@link ArrayOfArrayOfOCRWSWord }
     * 
     */
    public ArrayOfArrayOfOCRWSWord createArrayOfArrayOfOCRWSWord() {
        return new ArrayOfArrayOfOCRWSWord();
    }

    /**
     * Create an instance of {@link ArrayOfOCRWSWord }
     * 
     */
    public ArrayOfOCRWSWord createArrayOfOCRWSWord() {
        return new ArrayOfOCRWSWord();
    }

    /**
     * Create an instance of {@link ArrayOfArrayOfString }
     * 
     */
    public ArrayOfArrayOfString createArrayOfArrayOfString() {
        return new ArrayOfArrayOfString();
    }

    /**
     * Create an instance of {@link OCRWSWord }
     * 
     */
    public OCRWSWord createOCRWSWord() {
        return new OCRWSWord();
    }

    /**
     * Create an instance of {@link OCRWSZone }
     * 
     */
    public OCRWSZone createOCRWSZone() {
        return new OCRWSZone();
    }

}
